For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
DocsAPI Reference
DocsAPI Reference
    • End Points
  • PARTNER
    • GETGet Orders
    • GETGet Order By ID
    • GETGet Webhooks
    • POSTRefresh Access Token
    • POSTCreate Widget URL
  • COUNTRIES
    • GETGet Countries
  • CURRENCIES
    • GETGet Crypto Currencies
    • GETGet Fiat Currencies
    • GETGet Price
    • GETVerify Wallet Address
  • TRANSAK WHITELABEL API
    • End Points
  • TRANSAK SWAPS (B2B)
    • End Points
    • GETGet Order Status by Order ID
    • GETGet Order by Deposit Transaction Hash
    • GETGet Transaction History
Dashboard
LogoLogo
TRANSAK SWAPS (B2B)

Get Transaction History

||View as Markdown|
GET
https://api-stg.transak.com/partners/api/v2/business/orders
GET
/partners/api/v2/business/orders
$curl -G https://api-stg.transak.com/partners/api/v2/business/orders \
> -H "access-token: " \
> -d startDate= \
> -d endDate=
1{
2 "meta": {
3 "startDate": "2026-04-11T10:00:00.000Z",
4 "endDate": "2026-04-13T10:00:00.000Z",
5 "page": 1,
6 "limit": 50
7 },
8 "data": {
9 "dateRangeStart": "2026-04-11T10:00:00.000Z",
10 "dateRangeEnd": "2026-04-13T10:00:00.000Z",
11 "limit": 50,
12 "page": 1,
13 "totalCount": 1,
14 "orders": [
15 {
16 "orderId": "095d8622-3e31-48a4-89b1-72624717f4d6",
17 "partnerOrderId": null,
18 "status": "COMPLETED",
19 "deposit": {
20 "type": "CRYPTO",
21 "cryptoCurrency": "SETH",
22 "network": "SETH",
23 "amount": "0.0023",
24 "txHash": "0x156a1d26931a8ad5898452d6374567bfb155a04fdde1d4c961614552f8177736",
25 "senderWalletAddress": "0x0adac5b6e552304e3bea14d8a200e17ff524bf35",
26 "receiverWalletAddress": "0xe45d2baac4bc5ae39cf1982ecc8203e07584bd0c",
27 "networkFee": null,
28 "confirmedAt": "2026-04-13T06:13:57.609Z"
29 },
30 "payout": {
31 "type": "CRYPTO",
32 "cryptoCurrency": "SETH_TRNSK",
33 "network": "SETH",
34 "amount": "57.49",
35 "txHash": "0xb0f93200e07883869dd9e9fdd7adeb882b80270ba786311c1d332c101bd4e465",
36 "senderWalletAddress": "0xe5f6dfe109bad4753d230f95b90de9e696b93852",
37 "receiverWalletAddress": "0x742d35Cc6634C0532925a3b844Bc454e4438f44e",
38 "networkFee": {
39 "cryptoCurrency": "SETH",
40 "amount": "0.000053394337244286"
41 },
42 "confirmedAt": "2026-04-13T06:17:24.073Z"
43 },
44 "createdAt": "2026-04-13T06:13:07.433Z",
45 "processingAt": "2026-04-13T06:15:57.612Z",
46 "completedAt": "2026-04-13T06:17:24.073Z"
47 }
48 ]
49 }
50}
Retrieve a paginated list of orders within a date range. <Callout>The maximum date range is `90 days` per request.</Callout>
Was this page helpful?
Previous

Get Order by Deposit Transaction Hash

Built with

Retrieve a paginated list of orders within a date range.

The maximum date range is 90 days per request.

Headers

access-tokenstringRequired

Your Partner Access Token. Please refer here for a tutorial on generating your access token.

Query parameters

startDatedatetimeRequired
Start of the date range
endDatedatetimeRequired
End of the date range
pageintegerOptional

Page number (minimum: 1)

limitintegerOptional

Results per page (1–100)

Response

Success
metaobject
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error